iOS 9.1의 보안 콘텐츠에 관하여

이 문서에서는 iOS 9.1의 보안 콘텐츠에 대해 설명합니다.

Apple은 고객 보호를 위해 완벽한 조사를 마치고 필요한 패치 또는 출시 버전을 제공할 때까지 보안 문제에 대해 공개하거나, 이야기하거나, 확인하지 않습니다. Apple 제품 보안에 대해 자세히 알아보려면 Apple 제품 보안 웹 사이트를 참조하십시오.

Apple 제품 보안 PGP 키에 대한 자세한 내용은 Apple 제품 보안 PGP 키 사용 방법을 참조하십시오.

가능한 경우 CVE ID로 취약성에 대한 추가 정보를 확인할 수 있습니다.

다른 보안 업데이트에 대해 알아보려면 Apple 보안 업데이트를 참조하십시오.

iOS 9.1

  • Accelerate Framework

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 악의적으로 제작된 웹 사이트를 방문하는 경우 임의 코드가 실행될 수 있음

    설명: 다중 스레딩 모드의 Accelerate Framework에서 메모리 손상 문제가 발생합니다. 이 문제는 접근자 요소에 대한 향상된 확인 및 향상된 대상체 잠금을 통해 해결되었습니다.

    CVE-ID

    CVE-2015-5940: Apple

  • Bom

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 악의적으로 제작된 아카이브의 압축을 해제하면 임의 코드가 실행될 수 있음

    설명: CPIO 아카이브를 처리할 때 파일 접근 취약점이 발생합니다. 이 문제는 메타데이터에 대한 향상된 확인을 통해 해결되었습니다.

    CVE-ID

    CVE-2015-7006: Azimuth Security의 Mark Dowd

  • CFNetwork

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 악의적으로 제작된 웹 사이트를 방문하면 쿠키가 덮어쓰기될 수 있음

    설명: 대소문자가 다른 쿠키 처리 시 구문 분석 문제가 발생합니다. 이 문제는 향상된 구문 분석을 통해 해결되었습니다.

    CVE-ID

    CVE-2015-7023: Marvin Scholz와 Michael Lutonsky, Tsinghua University의 Xiaofeng Zheng과 Jinjin Liang, University of California, Berkeley의 Jian Jiang, Tsinghua University 및 International Computer Science Institute의 Haixin Duan, Microsoft Research Redmond의 Shuo Chen, Huawei Canada의 Tao Wan, International Computer Science Institute와 University of California, Berkeley의 Nicholas Weaver(CERT/CC를 통해 협업)

  • configd

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 악성 응용 프로그램이 권한을 높일 수 있음

    설명: DNS 클라이언트 라이브러리에서 힙 기반 버퍼 오버플로 문제가 발생합니다. 로컬 configd 서비스의 응답을 스푸핑할 수 있는 악성 응용 프로그램이 DNS 클라이언트에서 임의 코드를 실행할 수 있습니다.

    CVE-ID

    CVE-2015-7015: PanguTeam

  • CoreGraphics

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 악의적으로 제작된 웹 사이트를 방문하는 경우 임의 코드가 실행될 수 있음

    설명: CoreGraphics에서 여러 가지 메모리 손상 문제가 발생합니다. 이 문제는 향상된 메모리 처리를 통해 해결되었습니다.

    CVE-ID

    CVE-2015-5925: Apple

    CVE-2015-5926: Apple

  • CoreText

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 악의적으로 제작된 서체 파일을 처리하면 임의 코드가 실행될 수 있음

    설명: 서체 파일을 처리할 때 여러 가지 메모리 손상 문제가 발생합니다. 이러한 문제는 향상된 범위 검사를 통해 해결되었습니다.

    CVE-ID

    CVE-2015-6975: John Villamil(@day6reak), Yahoo Pentest Team

    CVE-2015-6992: John Villamil(@day6reak), Yahoo Pentest Team

    CVE-2015-7017: John Villamil(@day6reak), Yahoo Pentest Team

  • 디스크 이미지

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 악성 응용 프로그램이 시스템 권한을 사용하여 임의 코드를 실행할 수 있음

    설명: 디스크 이미지의 구문 분석 시 메모리 손상 문제가 발생합니다. 이 문제는 향상된 메모리 처리를 통해 해결되었습니다.

    CVE-ID

    CVE-2015-6995: Google Project Zero의 Ian Beer

  • FontParser

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 악의적으로 제작된 서체 파일을 처리하면 임의 코드가 실행될 수 있음

    설명: 서체 파일을 처리할 때 여러 가지 메모리 손상 문제가 발생합니다. 이러한 문제는 향상된 범위 검사를 통해 해결되었습니다.

    CVE-ID

    CVE-2015-5927: Apple

    CVE-2015-5942

    CVE-2015-6976: John Villamil(@day6reak), Yahoo Pentest Team

    CVE-2015-6977: John Villamil(@day6reak), Yahoo Pentest Team

    CVE-2015-6978: HP Zero Day Initiative의 Jaanus Kp(Clarified Security)

    CVE-2015-6990: John Villamil(@day6reak), Yahoo Pentest Team

    CVE-2015-6991: John Villamil(@day6reak), Yahoo Pentest Team

    CVE-2015-6993: John Villamil(@day6reak), Yahoo Pentest Team

    CVE-2015-7008: John Villamil(@day6reak), Yahoo Pentest Team

    CVE-2015-7009: John Villamil(@day6reak), Yahoo Pentest Team

    CVE-2015-7010: John Villamil(@day6reak), Yahoo Pentest Team

    CVE-2015-7018: John Villamil(@day6reak), Yahoo Pentest Team

  • GasGauge

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 악성 응용 프로그램이 커널 권한을 사용하여 임의 코드를 실행할 수 있음

    설명: 커널에서 메모리 손상 문제가 발생합니다. 이 문제는 향상된 메모리 처리를 통해 해결되었습니다.

    CVE-ID

    CVE-2015-6979: PanguTeam

  • Grand Central Dispatch

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 악의적으로 제작된 패키지를 처리하면 임의 코드가 실행될 수 있음

    설명: dispatch 호출을 처리할 때 메모리 손상 문제가 발생합니다. 이 문제는 향상된 메모리 처리를 통해 해결되었습니다.

    CVE-ID

    CVE-2015-6989: Apple

  • 그래픽 드라이버

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 악성 응용 프로그램을 실행하면 커널 내에서 임의 코드가 실행될 수 있음

    설명: AppleVXD393에서 유형 혼동 문제가 발생합니다. 이 문제는 향상된 메모리 처리를 통해 해결되었습니다.

    CVE-ID

    CVE-2015-6986: Qihoo 360 Nirvan Team의 Proteas

  • ImageIO

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 악의적으로 제작된 이미지 파일을 보면 임의 코드가 실행될 수 있음

    설명: 이미지 메타데이터의 구문을 분석할 때 여러 가지 메모리 손상 문제가 발생합니다. 이러한 문제는 향상된 메타데이터 확인을 통해 해결되었습니다.

    CVE-ID

    CVE-2015-5935: Apple

    CVE-2015-5936: Apple

    CVE-2015-5937: Apple

    CVE-2015-5939: Apple

  • IOAcceleratorFamily

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 악성 응용 프로그램이 시스템 권한을 사용하여 임의 코드를 실행할 수 있음

    설명: IOAcceleratorFamily에서 메모리 손상 문제가 발생합니다. 이 문제는 향상된 메모리 처리를 통해 해결되었습니다.

    CVE-ID

    CVE-2015-6996: Google Project Zero의 Ian Beer

  • IOHIDFamily

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 악성 응용 프로그램이 커널 권한을 사용하여 임의 코드를 실행할 수 있음

    설명: 커널에서 메모리 손상 문제가 발생합니다. 이 문제는 향상된 메모리 처리를 통해 해결되었습니다.

    CVE-ID

    CVE-2015-6974: Luca Todesco(@qwertyoruiop)

  • 커널

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 로컬 응용 프로그램이 서비스 거부 공격을 일으킬 수 있음

    설명: 커널에서 입력 확인 문제가 발생합니다. 이 문제는 향상된 입력 유효성 확인을 통해 해결되었습니다.

    CVE-ID

    CVE-2015-7004: NowSecure Research Team의 Sergi Alvarez(pancake)

  • 커널

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 네트워크에서 특별한 위치에 있는 공격자가 임의 코드를 실행할 수 있음

    설명: 커널에서 초기화되지 않은 메모리 문제가 발생합니다. 이 문제는 향상된 메모리 초기화를 통해 해결되었습니다.

    CVE-ID

    CVE-2015-6988: The Brainy Code Scanner(m00nbsd)

  • 커널

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 로컬 응용 프로그램이 서비스 거부 공격을 일으킬 수 있음

    설명: 가상 메모리를 재사용할 때 문제가 발생합니다. 이 문제는 향상된 확인을 통해 해결되었습니다.

    CVE-ID

    CVE-2015-6994: Google Inc.의 Mark Mentovai

  • mDNSResponder

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 원격 공격자가 응용 프로그램을 예기치 않게 종료하거나 임의 코드를 실행할 수 있음

    설명: DNS 데이터 분석 시 여러 가지 메모리 손상 문제가 발생합니다. 이러한 문제는 향상된 범위 검사를 통해 해결되었습니다.

    CVE-ID

    CVE-2015-7987: Alexandre Helie

  • mDNSResponder

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 로컬 응용 프로그램이 서비스 거부 공격을 일으킬 수 있음

    설명: null 포인터 역참조 문제는 개선된 메모리 처리를 통해 해결되었습니다.

    CVE-ID

    CVE-2015-7988: Alexandre Helie

  • 알림 센터

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 전화 및 메시지 알림이 비활성화된 경우에도 알림이 잠금 화면에 나타날 수 있음

    설명: 전화 또는 메시지에 대해서 '잠금 화면에서 보기'가 꺼져 있지만 변경된 구성이 즉시 적용되지 않습니다. 이 문제는 향상된 상태 관리를 통해 해결되었습니다.

    CVE-ID

    CVE-2015-7000: Hampton School의 William Redwood

  • OpenGL

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 악의적으로 제작된 웹 사이트를 방문하는 경우 임의 코드가 실행될 수 있음

    설명: OpenGL에서 메모리 손상 문제가 발생합니다. 이 문제는 향상된 메모리 처리를 통해 해결되었습니다.

    CVE-ID

    CVE-2015-5924: Apple

  • 보안

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 악의적으로 제작된 인증서를 처리하면 임의 코드가 실행될 수 있음

    설명: ASN.1 디코더에서 여러 가지 메모리 손상 문제가 발생합니다. 이러한 문제는 향상된 입력 확인을 통해 해결되었습니다.

    CVE-ID

    CVE-2015-7059: Mozilla의 David Keeler

    CVE-2015-7060: Mozilla의 Tyson Smith

    CVE-2015-7061: Google의 Ryan Sleevi

  • 보안

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 악성 응용 프로그램이 임시 파일을 덮어쓸 수 있음

    설명: AtomicBufferedFile 설명자를 처리할 때 이중 해제 문제가 발생합니다. 이 문제는 향상된 AtomicBufferedFile 설명자 확인을 통해 해결되었습니다.

    CVE-ID

    CVE-2015-6983: Chrome Team의 David Benjamin, Greg Kerr, Mark Mentovai 및 Sergey Ulanov

  • 보안

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 공격자가 취소된 인증서가 유효하게 보이도록 만들 수 있음

    설명: OCSP 클라이언트에서 확인 문제가 발생합니다. 이 문제는 OCSP 인증서의 만료 시간을 확인하여 해결되었습니다.

    CVE-ID

    CVE-2015-6999: Apple

  • 보안

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 해지 확인을 요구하도록 구성된 신뢰 평가가 해지 확인이 실패한 경우에도 완료될 수 있음

    설명: kSecRevocationRequirePositiveResponse 플래그가 지정되었지만 구현되지 않았습니다. 이 문제는 플래그를 구현하여 해결되었습니다.

    CVE-ID

    CVE-2015-6997: Apple

  • 전화 통신

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 악성 응용 프로그램이 중요한 사용자 정보를 유출할 수 있음

    설명: 인증 확인에서 전화 통화 상태를 쿼리하는 문제가 발생합니다. 이 문제는 추가 인증 상태 쿼리를 통해 해결되었습니다.

    CVE-ID

    CVE-2015-7022: NESO Security Labs의 Andreas Kurtz

  • WebKit

    대상: iPhone 4s 및 이후 제품, iPod touch (5th generation) 및 이후 제품, iPad 2 및 이후 제품

    영향: 악의적으로 제작된 웹 사이트를 방문하는 경우 임의 코드가 실행될 수 있음

    설명: WebKit에서 여러 가지 메모리 손상 문제가 발생합니다. 이 문제는 향상된 메모리 처리를 통해 해결되었습니다.

    CVE-ID

    CVE-2015-5928: Apple

    CVE-2015-5929: Apple

    CVE-2015-5930: Apple

    CVE-2015-6981

    CVE-2015-6982

    CVE-2015-7002: Apple

    CVE-2015-7005: Apple

    CVE-2015-7012: Apple

    CVE-2015-7014

    CVE-2015-7104: Apple

Apple이 제조하지 않은 제품에 관한 정보 또는 Apple의 관리 또는 테스트 대상이 아닌 독립적인 웹 사이트는 권장 또는 보증 없이 제공되는 것입니다. Apple은 타사 웹 사이트 또는 제품에 대한 선택, 성능, 사용과 관련하여 발생하는 결과에 대해 책임을 지지 않습니다. Apple은 타사 웹 사이트의 정확성 또는 신뢰도에 대해 어떠한 언급도 하지 않습니다. 인터넷을 사용하는 데는 위험이 따르기 마련입니다. 자세한 내용은 공급업체에 문의하십시오. 기타 회사 및 제품 이름은 각 소유자의 상표일 수 있습니다.

게시일: